- Main Page
- Related Pages
- Modules
- Files

Functions
GLM_GTX_matrix_query
GTX Extensions (Experimental)

## Functions
template<typename genType >
bool | isIdentity (genType const &m, typename genType::value_type const &epsilon)
template<typename valType >
bool | isNormalized (detail::tmat2x2< valType > const &m, valType const &epsilon)
template<typename valType >
bool | isNormalized (detail::tmat3x3< valType > const &m, valType const &epsilon)
template<typename valType >
bool | isNormalized (detail::tmat4x4< valType > const &m, valType const &epsilon)
template<typename T >
bool | isNull (detail::tmat2x2< T > const &m, T const &epsilon)
template<typename T >
bool | isNull (detail::tmat3x3< T > const &m, T const &epsilon)
template<typename T >
bool | isNull (detail::tmat4x4< T > const &m, T const &epsilon)
template<typename valType , template< typename > class matType>
bool | isOrthogonal (matType< valType > const &m, valType const &epsilon)

## Detailed Description

Query to evaluate matrix properties.

<glm/gtx/matrix_query.hpp> need to be included to use these functionalities.

## Function Documentation

bool glm::isIdentity | ( | genType const & | m,
|  | typename genType::value_type const & | epsilon
| ) |  |

Return whether a matrix is an identity matrix.

From GLM_GTX_matrix_query extension.

bool glm::isNormalized | ( | detail::tmat2x2< valType > const & | m,
|  | valType const & | epsilon
| ) |  |

Return whether a matrix is a normalized matrix.

From GLM_GTX_matrix_query extension.

bool glm::isNormalized | ( | detail::tmat3x3< valType > const & | m,
|  | valType const & | epsilon
| ) |  |

Return whether a matrix is a normalized matrix.

From GLM_GTX_matrix_query extension.

bool glm::isNormalized | ( | detail::tmat4x4< valType > const & | m,
|  | valType const & | epsilon
| ) |  |

Return whether a matrix is a normalized matrix.

From GLM_GTX_matrix_query extension.

bool glm::isNull | ( | detail::tmat2x2< T > const & | m,
|  | T const & | epsilon
| ) |  |

Return whether a matrix a null matrix.

From GLM_GTX_matrix_query extension.

bool glm::isNull | ( | detail::tmat3x3< T > const & | m,
|  | T const & | epsilon
| ) |  |

Return whether a matrix a null matrix.

From GLM_GTX_matrix_query extension.

bool glm::isNull | ( | detail::tmat4x4< T > const & | m,
|  | T const & | epsilon
| ) |  |

Return whether a matrix is a null matrix.

From GLM_GTX_matrix_query extension.

bool glm::isOrthogonal | ( | matType< valType > const & | m,
|  | valType const & | epsilon
| ) |  |

Return whether a matrix is an orthonormalized matrix.

From GLM_GTX_matrix_query extension.